summarylogtreecommitdiffstats
path: root/chatall.sh
diff options
context:
space:
mode:
authorzxp198210052024-04-24 15:59:46 +0800
committerzxp198210052024-04-24 15:59:46 +0800
commit754a9ad656c820420a36a10988875ae872816ed1 (patch)
treeb0d94102953dc3e6f54d65c6a616ec30e3379bcb /chatall.sh
downloadaur-754a9ad656c820420a36a10988875ae872816ed1.tar.gz
update to 1.77.102.r0.g028475b
Diffstat (limited to 'chatall.sh')
-rw-r--r--chatall.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/chatall.sh b/chatall.sh
new file mode 100644
index 000000000000..7ddcaab8d734
--- /dev/null
+++ b/chatall.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+_APPDIR="/usr/lib/@appname@"
+_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export ELECTRON_FORCE_IS_PACKAGED=true
+export NODE_ENV=production
+cd "${_APPDIR}"
+if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
+else
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
+fi \ No newline at end of file